> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/near-protocol-near/near_experimental_changes_all_access_key_changes.md).

# EXPERIMENTAL\_changes(all\_access\_key\_changes) {disallowed} - NEAR Protocol

Example code for the EXPERIMENTAL\_changes(all\_access\_key\_changes)  {disallowed} json-rpc method. Сomplete guide on how to use EXPERIMENTAL\_changes(all\_access\_key\_changes)  {disallowed} json-rpc in Get

#### Parameters

`changes_type` - string

type of change

`finality` - string

You should pick either that or block\_id.

`block_id` - int or string

You should pick either that or finality.

The block\_id param can take either the block number OR the block hash as an argument.

`keys` - array of maps

an array of maps in format: \[{account\_id, publick\_key}]

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "EXPERIMENTAL_changes",
"params": ["all_access_key_changes", "final", null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```
